<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8" />
  <link rel="icon" type="image/svg+xml" href="favicon.svg" />
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet"
    integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
  <link href="src/style.css" rel="stylesheet">
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>Budget Front</title>
</head>

<body>
  <script type="module" src="/src/main.ts"></script>
  <main>
    <h1>Budget</h1>
    <div class="d-flex justify-content-between  mb-1">
      <select class="form-select" id="filter">
        <option value="" selected>Tout</option>
      </select>
      <button type="button" class="btn btn-light btn-sm" id='btn-add'> + Opération</button>
    </div>
    <table class="table table-sm table-light table-striped" id="budget-front">
      <thead class="table-dark">
        <tr>
          <th scope="col" class="d-block d-md-none text-dark" id="h-icon">C</th>
          <th scope="col" id="h-date">Date</th>
          <th scope="col" class="d-none d-md-block" id="h-cat">Catégorie</th>
          <th scope="col" id="h-label">Libellé</th>
          <th scope="col" id="h-amount">Montant</th>
          <th scope="col"></th>
        </tr>
      </thead>
      <tbody id="lst-entries">

      </tbody>
      <tfoot class="table-dark">
        <tr>
          <td colspan="3">
            <div class="container">
              <div class="row justify-content-end">
                Solde :
              </div>
            </div>
          </td>
          <td id="balance">0</td>
          <td></td>
        </tr>
      </tfoot>
    </table>
  </main>
  <section class="p-3" id="popup">
    <div class="mb-4">
      <h2 class="entryTitle">Nouvelle entrée</h2>
    </div>
    <form class="needs-validation" id="popup-form" novalidate>
      <div class="mb-3">
        <label for="popup-date" class="form-label mb-0 ps-2">Date</label>
        <input type="date" class="form-control" id="popup-date" required>
      </div>
      <label for="popup-cat" class="form-label mb-0 ps-2">Catégorie</label>
      <div class="input-group mb-3">
        <select class="form-select" id="popup-cat" required>
          <option value="" selected>Sélectionnez une catégorie...</option>
        </select>
      </div>
      <div class="mb-3">
        <label for="popup-label" class="form-label mb-0 ps-2">Libellé</label>
        <input type="text" class="form-control" id="popup-label" required>
      </div>
      <div class="mb-3">
        <div class="form-check form-check-inline">
          <input class="form-check-input" type="radio" name="popup-type" id="popup-debit" value="-" checked>
          <label class="form-check-label" for="popup-debit">Débit</label>
        </div>
        <div class="form-check form-check-inline">
          <input class="form-check-input" type="radio" name="popup-type" id="popup-credit" value="+">
          <label class="form-check-label" for="popup-credit">Crédit</label>
        </div>
      </div>
      <label for="popup-amount" class="form-label mb-0 ps-2">Montant</label>
      <div class="input-group mb-3">
        <span class="input-group-text" id="popup-sign">-</span>
        <input type="number" class="form-control" id="popup-amount" value="0" min="0.01" step="0.01" required>
        <span class="input-group-text">€</span>
      </div>
      <div class="d-flex justify-content-around">
        <button type="reset" class="btn btn-secondary" id="popup-cancel">Annuler</button>
        <button type="submit" class="btn btn-success" id="popup-submit">Valider</button>
      </div>
    </form>
  </section>
</body>

</html>